### Class

# Gtk ObjectExpression

#### Description [src]

    final class Gtk.ObjectExpression : GObject.TypeInstance {
      /* No available fields */
    }

A `GObject` value in a `GtkExpression`.

#### Hierarchy

#### Ancestors

- GtkExpression

#### Constructors

###### gtk_object_expression_new

Creates an expression evaluating to the given `object` with a weak reference.

#### Instance methods

###### gtk_object_expression_get_object

Gets the object that the expression evaluates to.

##### Methods inherited from GtkExpression (7)

###### gtk_expression_bind

Bind `target`‘s property named `property` to `self`.

###### gtk_expression_evaluate

Evaluates the given expression and on success stores the result in `value`.

###### gtk_expression_get_value_type

Gets the `GType` that this expression evaluates to.

###### gtk_expression_is_static

Checks if the expression is static.

###### gtk_expression_ref

Acquires a reference on the given `GtkExpression`.

###### gtk_expression_unref

Releases a reference on the given `GtkExpression`.

###### gtk_expression_watch

Watch the given `expression` for changes.